/*
Copyright (C) <2008>  Guido Steiner and Detlef Wolf
contact: fam@wolfol.de
This is free software -- GNU LGPL license applies.
see http://www.gnu.org/licenses/lgpl.txt for details
*/

import javax.swing.JApplet;
import javax.swing.JLabel ;      
import java.awt.BorderLayout ;

public class PendulumApplet extends JApplet {

  public void init() {
    try {
      javax.swing.SwingUtilities.invokeAndWait(new Runnable() {
          public void run() {
            createGUI();
          }
        });
    } catch (Exception e) {
      System.err.println("createGUI didn't successfully complete");
    }
  }

  private void createGUI() {
    getContentPane().setLayout(new BorderLayout()) ;
    PendulumModel m = new PendulumModel() ;
    PendulumControls c = new PendulumControls(m) ;
    PendulumPanel p = new PendulumPanel(m) ;
    PendulumMover mo = new PendulumMover(m, p, c) ;

    getContentPane().add(new JLabel(" Viele Gre von Familie Wolf aus Grenzach  http://www.wolfol.de"), 
                         BorderLayout.NORTH) ;
    getContentPane().add(c, BorderLayout.SOUTH) ;
    getContentPane().add(p, BorderLayout.CENTER) ;
    setVisible(true) ;
    mo.start() ;
  }

}

